package com.lz.modules.equipment.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.equipment.dao.EquipmentFlowRecordMapper;
import com.lz.modules.equipment.entity.EquipmentFlowRecord;
import com.lz.modules.equipment.service.IEquipmentFlowRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-24
*/

@Service
public class EquipmentFlowRecordServiceImpl extends ServiceImpl<EquipmentFlowRecordMapper, EquipmentFlowRecord> implements IEquipmentFlowRecordService {


    @Autowired
	private EquipmentFlowRecordMapper equipmentFlowRecordMapper;



	@Override
	public EquipmentFlowRecord selectEquipmentFlowRecordById(Long id){
		return equipmentFlowRecordMapper.selectEquipmentFlowRecordById(id);
	}



	@Override
	public Long insertEquipmentFlowRecord(EquipmentFlowRecord equipmentFlowRecord){
		return equipmentFlowRecordMapper.insertEquipmentFlowRecord(equipmentFlowRecord);
	}



	@Override
	public int updateEquipmentFlowRecordById(EquipmentFlowRecord equipmentFlowRecord){
		return equipmentFlowRecordMapper.updateEquipmentFlowRecordById(equipmentFlowRecord);
	}



	@Override
	public int updateCoverEquipmentFlowRecordById(EquipmentFlowRecord equipmentFlowRecord){
		return equipmentFlowRecordMapper.updateCoverEquipmentFlowRecordById(equipmentFlowRecord);
	}



	@Override
	public int deleteEquipmentFlowRecordById(Long id){
		return equipmentFlowRecordMapper.deleteEquipmentFlowRecordById(id);
	}



}
